-- #######################################
-- #######################################
--             GOH EVENT LOG
-- #######################################
-- #######################################


function GoH.events.COMBAT_LOG_EVENT_UNFILTERED(timestamp, event, hideCaster, sourceGUID, sourceName, sourceFlags, sourceFlags2, destGUID, destName, destFlags, destFlags2, ...)

  local GoH_spellID, GoH_spellName, GoH_all_spellSchool, GoH_amount, GoH_overkill, GoH_school, GoH_resisted, GoH_blocked, GoH_absorbed, GoH_critical = ...

	-- DEATH KNIGHT: DEATH GRIP
	if (GoH_spellID == 49576) and (event == "SPELL_CAST_SUCCESS") and (sourceName == GoH.CharName)then
		-- PLAY YOUR SOUND
		Play_Random_DEATHGRIP_Sound();
	end

        -- DEATH KNIGHT: HORN OF WINTER
	if (GoH_spellID == 57330) and (event == "SPELL_CAST_SUCCESS") and (sourceName == GoH.CharName)then
		-- PLAY YOUR SOUND
		PlaySoundFile("Interface\\AddOns\\GoH\\Sounds\\HornOfWinter_Begins_" .. GoH.Gender .. ".mp3","Master");
	end

        -- DEATH KNIGHT: DEATH AND DECAY
	if (GoH_spellID == 43265) and (event == "SPELL_CAST_SUCCESS") and (sourceName == GoH.CharName)then
		-- PLAY YOUR SOUND
		PlaySoundFile("Interface\\AddOns\\GoH\\Sounds\\StealthDetected_Sonar.mp3","Master");
	end

        -- DEATH KNIGHT: PESTILENCE
	if (GoH_spellID == 50842) and (event == "SPELL_CAST_SUCCESS") and (sourceName == GoH.CharName)then
		-- PLAY YOUR SOUND
		PlaySoundFile("Interface\\AddOns\\GoH\\Sounds\\I_See_You_" .. GoH.Gender .. ".mp3","Master");
	end

        -- DEATH KNIGHT: OUTBREAK
	if (GoH_spellID == 77575) and (event == "SPELL_CAST_SUCCESS") and (sourceName == GoH.CharName)then
		-- PLAY YOUR SOUND
		PlaySoundFile("Interface\\AddOns\\GoH\\Sounds\\Thats_Enough_" .. GoH.Gender .. ".mp3","Master");
	end

        -- DEATH KNIGHT: BLOOD TAP
	if (GoH_spellID == 45529) and (event == "SPELL_CAST_SUCCESS") and (sourceName == GoH.CharName)then
		-- PLAY YOUR SOUND
		PlaySoundFile("Sound\\Creature\\CThun\\CThunYouWillDie.Wav")
	end

        -- DEATH KNIGHT: DEATH COIL
	if (GoH_spellID == 47541) and (event == "SPELL_CAST_SUCCESS") and (sourceName == GoH.CharName)then
		-- PLAY YOUR SOUND
		PlaySoundFile("Interface\\AddOns\\GoH\\Sounds\\Death_Coil.mp3","Master");
	end

        -- DEATH KNIGHT: EMPOWER RUNE WEAPON
	if (GoH_spellID == 47568) and (event == "SPELL_CAST_SUCCESS") and (sourceName == GoH.CharName)then
		-- PLAY YOUR SOUND
		PlaySoundFile("Sound\\Creature\\LichKing\\IC_Lich King_FMAttack01.wav")
	end

        -- DEATH KNIGHT: BLOOD PRESENCE
	if (GoH_spellID == 48263) and (event == "SPELL_CAST_SUCCESS") and (sourceName == GoH.CharName)then
		-- PLAY YOUR SOUND
		PlaySoundFile("Interface\\AddOns\\GoH\\Sounds\\Blood_Craze_" .. GoH.Gender .. ".mp3","Master");
	end

        -- DEATH KNIGHT: FROST PRESENCE
	if (GoH_spellID == 48266) and (event == "SPELL_CAST_SUCCESS") and (sourceName == GoH.CharName)then
		-- PLAY YOUR SOUND
		PlaySoundFile("Interface\\AddOns\\GoH\\Sounds\\FreezingFog_" .. GoH.Gender .. ".mp3","Master");
	end

        -- DEATH KNIGHT: UNHOLY PRESENCE
	if (GoH_spellID == 48265) and (event == "SPELL_CAST_SUCCESS") and (sourceName == GoH.CharName)then
		-- PLAY YOUR SOUND
		PlaySoundFile("Interface\\AddOns\\GoH\\Sounds\\HolyPower_1.mp3","Master");
	end

        -- DEATH KNIGHT: ANTI-MAGIC SHELL
	if (GoH_spellID == 48707) and (event == "SPELL_CAST_SUCCESS") and (sourceName == GoH.CharName)then
		-- PLAY YOUR SOUND
		PlaySoundFile("Interface\\AddOns\\GoH\\Sounds\\Camouflage.mp3","Master");
	end

        -- DEATH KNIGHT: ICEBOUND FORTITUDE
	if (GoH_spellID == 48792) and (event == "SPELL_CAST_SUCCESS") and (sourceName == GoH.CharName)then
		-- PLAY YOUR SOUND
		PlaySoundFile("Interface\\AddOns\\GoH\\Sounds\\IceboundFortitude_" .. GoH.Gender .. ".mp3","Master");
	end

        -- DEATH KNIGHT: STRANGULATE
	if (GoH_spellID == 47476) and (event == "SPELL_CAST_SUCCESS") and (sourceName == GoH.CharName)then
		-- PLAY YOUR SOUND
		PlaySoundFile("Sound\\Creature\\Illidan\\BLACK_Illidan_04.wav")
	end

        -- DEATH KNIGHT: MIND FREEZE
	if (GoH_spellID == 47528) and (event == "SPELL_CAST_SUCCESS") and (sourceName == GoH.CharName)then
		-- PLAY YOUR SOUND
		PlaySoundFile("Sound\\Creature\\Illidan\\BLACK_Illidan_04.wav")
	end

        -- DEATH KNIGHT: SUMMON GARGOYLE
	if (GoH_spellID == 49206) and (event == "SPELL_CAST_SUCCESS") and (sourceName == GoH.CharName)then
		-- PLAY YOUR SOUND
		PlaySoundFile("Interface\\AddOns\\GoH\\Sounds\\SummonGargoyle_" .. GoH.Gender .. ".mp3","Master");
	end

        -- DEATH KNIGHT: ARMY OF THE DEAD
	if (GoH_spellID == 42650) and (event == "SPELL_CAST_SUCCESS") and (sourceName == GoH.CharName)then
		-- PLAY YOUR SOUND
		PlaySoundFile("Interface\\AddOns\\GoH\\Sounds\\ArmyoftheDead2_" .. GoH.Gender .. ".mp3","Master");
	end

        -- DEATH KNIGHT: DEATH PACT
	if (GoH_spellID == 48743) and (event == "SPELL_CAST_SUCCESS") and (sourceName == GoH.CharName)then
		-- PLAY YOUR SOUND
		PlaySoundFile("Interface\\AddOns\\GoH\\Sounds\\Death_Pact_" .. GoH.Gender .. ".mp3","Master");
	end

        -- DEATH KNIGHT: DARK TRANSFORMATION
	if (GoH_spellID == 63560) and (event == "SPELL_CAST_SUCCESS") and (sourceName == GoH.CharName)then
		-- PLAY YOUR SOUND
		PlaySoundFile("Interface\\AddOns\\GoH\\Sounds\\Dark_Transformation_" .. GoH.Gender .. ".mp3","Master");
	end

        -- DEATH KNIGHT: UNHOLY FRENZY
	if (GoH_spellID == 49016) and (event == "SPELL_CAST_SUCCESS") and (sourceName == GoH.CharName)then
		-- PLAY YOUR SOUND
		PlaySoundFile("Interface\\AddOns\\GoH\\Sounds\\Slaughter_" .. GoH.Gender .. ".mp3","Master");
	end

        -- DEATH KNIGHT: BLOOD BOIL
	if (GoH_spellID == 48721) and (event == "SPELL_CAST_SUCCESS") and (sourceName == GoH.CharName)then
		-- PLAY YOUR SOUND
		PlaySoundFile("Interface\\AddOns\\GoH\\Sounds\\Toasty_" .. GoH.Gender .. ".mp3","Master");
	end

         -- DEATH KNIGHT: ANTI-MAGIC ZONE
	if (GoH_spellID == 51052) and (event == "SPELL_CAST_SUCCESS") and (sourceName == GoH.CharName)then
		-- PLAY YOUR SOUND
		PlaySoundFile("Interface\\AddOns\\GoH\\Sounds\\Get_Under_Here_" .. GoH.Gender .. ".mp3","Master");
	end

         -- DEATH KNIGHT: DARK COMMAND
	if (GoH_spellID == 56222) and (event == "SPELL_CAST_SUCCESS") and (sourceName == GoH.CharName)then
		-- PLAY YOUR SOUND
		PlaySoundFile("Sound\\Creature\\HeadlessHorseMan\\Horseman_Beckon_01.wav")
	end

         -- DEATH KNIGHT: BONE SHIELD
	if (GoH_spellID == 49222) and (event == "SPELL_CAST_SUCCESS") and (sourceName == GoH.CharName)then
		-- PLAY YOUR SOUND
		PlaySoundFile("Interface\\AddOns\\GoH\\Sounds\\BoneShield_Begins_" .. GoH.Gender .. ".mp3","Master");
	end

        -- DEATH KNIGHT: UNHOLY BLIGHT
	if (GoH_spellID == 115989) and (event == "SPELL_CAST_SUCCESS") and (sourceName == GoH.CharName)then
		-- PLAY YOUR SOUND
		PlaySoundFile("Interface\\AddOns\\GoH\\Sounds\\ArmyoftheDead_" .. GoH.Gender .. ".mp3","Master");
	end

	   -- DEATH KNIGHT: CHAINS OF ICE
	if (GoH_spellID == 45524) and (event == "SPELL_CAST_SUCCESS") and (sourceName == GoH.CharName)then
		-- PLAY YOUR SOUND
		PlaySoundFile("Interface\\AddOns\\GoH\\Sounds\\Laugh_" .. GoH.Gender .. ".mp3","Master");
	end

	   -- DEATH KNIGHT: DARK SIMULATION
	if (GoH_spellID == 77606) and (event == "SPELL_CAST_SUCCESS") and (sourceName == GoH.CharName)then
		-- PLAY YOUR SOUND
		PlaySoundFile("Interface\\AddOns\\GoH\\Sounds\\All_Too_Easy_" .. GoH.Gender .. ".mp3","Master");
	end

	   -- DEATH KNIGHT: ICY TOUCH
	if (GoH_spellID == 45477) and (event == "SPELL_CAST_SUCCESS") and (sourceName == GoH.CharName)then
		-- PLAY YOUR SOUND
		PlaySoundFile("Interface\\AddOns\\GoH\\Sounds\\Critical_1.mp3","Master");
	end

	   -- DEATH KNIGHT: PATH OF FROST
	if (GoH_spellID == 3714) and (event == "SPELL_CAST_SUCCESS") and (sourceName == GoH.CharName)then
		-- PLAY YOUR SOUND
		PlaySoundFile("Interface\\AddOns\\GoH\\Sounds\\Death_Coil__" .. GoH.Gender .. ".mp3","Master");
	end

	   -- DEATH KNIGHT: DANCEING RUNE WEPON
	if (GoH_spellID == 49028) and (event == "SPELL_CAST_SUCCESS") and (sourceName == GoH.CharName)then
		-- PLAY YOUR SOUND
		PlaySoundFile("Interface\\AddOns\\GoH\\Sounds\\Laugh_" .. GoH.Gender .. ".mp3","Master");
	end

	   -- DEATH KNIGHT: ASPHYXIATE
	if (GoH_spellID == 108194) and (event == "SPELL_CAST_SUCCESS") and (sourceName == GoH.CharName)then
		-- PLAY YOUR SOUND
		PlaySoundFile("Interface\\AddOns\\GoH\\Sounds\\Cower_Before_Me_" .. GoH.Gender .. ".mp3","Master");
	end

	   -- DEATH KNIGHT: EVERY MAN FOR HIMSELF
	if (GoH_spellID == 59752) and (event == "SPELL_CAST_SUCCESS") and (sourceName == GoH.CharName)then
		-- PLAY YOUR SOUND
		PlaySoundFile("Interface\\AddOns\\GoH\\Sounds\\You_Are_Nothing_" .. GoH.Gender .. ".mp3","Master");
	end

	    -- DEATH KNIGHT: DEATHS ADVANCE
	if (GoH_spellID == 96268) and (event == "SPELL_CAST_SUCCESS") and (sourceName == GoH.CharName)then
		-- PLAY YOUR SOUND
		PlaySoundFile("Sound\\Creature\\Illidan\\BLACK_Illidan_04.wav")
	end

	   -- DEATH KNIGHT: REMOURSELESS WINTER
	if (GoH_spellID == 108200) and (event == "SPELL_CAST_SUCCESS") and (sourceName == GoH.CharName)then
		-- PLAY YOUR SOUND
		PlaySoundFile("Interface\\AddOns\\GoH\\Sounds\\FreezingFog_" .. GoH.Gender .. ".mp3","Master");
	end

	   	-- DEATH KNIGHT: GORFIENDS GRASP
	if (GoH_spellID == 108199) and (event == "SPELL_CAST_SUCCESS") and (sourceName == GoH.CharName)then
		-- PLAY YOUR SOUND
		Play_Random_DEATHGRIP_Sound();
	end

	   	-- DEATH KNIGHT: RAISE DEAD
	-- RAISE DEAD
	DeathKnight_Raise_Dead_Name, _, _, _, _, _, _, _, _ = GetSpellInfo(46584)

	if (GoH_spellName == DeathKnight_Raise_Dead_Name) and (event == "SPELL_SUMMON") and (sourceName == GoH.CharName)then
		-- PLAY YOUR SOUND
		PlaySoundFile("Interface\\AddOns\\GoH\\Sounds\\RaiseDead_" .. GoH.Gender .. ".mp3","Master");
	end

end

